Bug 1016895 - [abrt] rhythmbox-2.99.1-1.fc19: gtk_tree_row_ref_deleted: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
Summary: [abrt] rhythmbox-2.99.1-1.fc19: gtk_tree_row_ref_deleted: Process /usr/bin/rh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fa185b3514968d7303873d82884...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-08 21:18 UTC by Danny Strümpel
Modified: 2014-12-15 04:27 UTC (History)
1 user (show)

Fixed In Version: gtk3-3.14.6-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 04:27:51 UTC


Attachments (Terms of Use)
File: backtrace (44.10 KB, text/plain)
2013-10-08 21:18 UTC, Danny Strümpel
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-08 21:18 UTC, Danny Strümpel
no flags Details
File: core_backtrace (21.30 KB, text/plain)
2013-10-08 21:18 UTC, Danny Strümpel
no flags Details
File: dso_list (24.57 KB, text/plain)
2013-10-08 21:18 UTC, Danny Strümpel
no flags Details
File: environ (1.80 KB, text/plain)
2013-10-08 21:18 UTC, Danny Strümpel
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-08 21:18 UTC, Danny Strümpel
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-08 21:18 UTC, Danny Strümpel
no flags Details
File: maps (111.02 KB, text/plain)
2013-10-08 21:18 UTC, Danny Strümpel
no flags Details
File: open_fds (1.83 KB, text/plain)
2013-10-08 21:18 UTC, Danny Strümpel
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-10-08 21:18 UTC, Danny Strümpel
no flags Details
File: var_log_messages (316 bytes, text/plain)
2013-10-08 21:18 UTC, Danny Strümpel
no flags Details

Description Danny Strümpel 2013-10-08 21:18:07 UTC
Description of problem:
– NTFS-Partition eingebunden mittels Geräteüberwachung
– MP3-Datei hinzugefügt
– ID3-Tags bearbeitet
– beim erneuten Anzeigen/Bearbeiten der Tags ist Rhythmbox wiederholt abgestürzt

Version-Release number of selected component:
rhythmbox-2.99.1-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/rhythmbox
crash_function: gtk_tree_row_ref_deleted
executable:     /usr/bin/rhythmbox
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_row_ref_deleted at gtktreemodel.c:2094
 #1 gtk_tree_row_reference_deleted at gtktreemodel.c:2473
 #2 gtk_tree_view_row_deleted at gtktreeview.c:9005
 #7 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #8 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #9 remove_file at gtkfilesystemmodel.c:1912
 #10 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #11 ffi_call_unix64 at ../src/x86/unix64.S:76
 #12 ffi_call at ../src/x86/ffi64.c:522
 #13 g_cclosure_marshal_generic_va at gclosure.c:1550

Comment 1 Danny Strümpel 2013-10-08 21:18:11 UTC
Created attachment 809556 [details]
File: backtrace

Comment 2 Danny Strümpel 2013-10-08 21:18:13 UTC
Created attachment 809557 [details]
File: cgroup

Comment 3 Danny Strümpel 2013-10-08 21:18:16 UTC
Created attachment 809558 [details]
File: core_backtrace

Comment 4 Danny Strümpel 2013-10-08 21:18:19 UTC
Created attachment 809559 [details]
File: dso_list

Comment 5 Danny Strümpel 2013-10-08 21:18:22 UTC
Created attachment 809560 [details]
File: environ

Comment 6 Danny Strümpel 2013-10-08 21:18:25 UTC
Created attachment 809561 [details]
File: exploitable

Comment 7 Danny Strümpel 2013-10-08 21:18:27 UTC
Created attachment 809562 [details]
File: limits

Comment 8 Danny Strümpel 2013-10-08 21:18:31 UTC
Created attachment 809563 [details]
File: maps

Comment 9 Danny Strümpel 2013-10-08 21:18:34 UTC
Created attachment 809564 [details]
File: open_fds

Comment 10 Danny Strümpel 2013-10-08 21:18:36 UTC
Created attachment 809565 [details]
File: proc_pid_status

Comment 11 Danny Strümpel 2013-10-08 21:18:39 UTC
Created attachment 809566 [details]
File: var_log_messages

Comment 12 Fedora Update System 2014-12-12 04:53:02 UTC
gtk3-3.14.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gtk3-3.14.6-1.fc21

Comment 13 Fedora Update System 2014-12-13 09:46:00 UTC
Package gtk3-3.14.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk3-3.14.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16867/gtk3-3.14.6-1.fc21
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-12-15 04:27:51 UTC
gtk3-3.14.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.